| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Protected Member Functions | Properties | Events | Private Member Functions | List of all members
WheelchairControl.CollapsibleGroupBox Class Reference

GroupBox control that provides functionality to allow it to be collapsed. More...

Inherits GroupBox.

## Public Member Functions
delegate void | CollapseBoxClickedEventHandler (object sender)
| Fired when the Collapse Toggle button is pressed. More...
| CollapsibleGroupBox ()
| Default constructor. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...
override void | OnMouseUp (MouseEventArgs e)
| OnMouseUp method override. More...
override void | OnPaint (PaintEventArgs e)
| OnPaint method override. More...

## Properties
int | FullHeight`[get]`
| Collapsible groupbox full height. More...
bool | IsCollapsed`[get, set]`
| Property to determine whether collapsible groupbox is collapsed. More...
int | CollapsedHeight`[get]`
| Collapsible groupbox collapsed height. More...

## Events
CollapseBoxClickedEventHandler | CollapseBoxClickedEvent
| Fired when control is clicked. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Detailed Description

GroupBox control that provides functionality to allow it to be collapsed.

Please contact: aaron.nosp@m.regi.nosp@m.nald@.nosp@m.yaho.nosp@m.o.com for the most recent implementations of this class. For further info, please see: http://www.codeproject.com/script/Articles/ViewDownloads.aspx?aid=12835

Definition at line 22 of file CollapsibleGroupbox.cs.

## Constructor & Destructor Documentation

WheelchairControl.CollapsibleGroupBox.CollapsibleGroupBox | ( |  | ) |

Default constructor.

Definition at line 57 of file CollapsibleGroupbox.cs.

## Member Function Documentation

delegate void WheelchairControl.CollapsibleGroupBox.CollapseBoxClickedEventHandler | ( | object | sender | ) |

Fired when the Collapse Toggle button is pressed.

override void WheelchairControl.CollapsibleGroupBox.Dispose | ( | bool | disposing | ) |
| protected

Clean up any resources being used.

Definition at line 66 of file CollapsibleGroupbox.cs.

void WheelchairControl.CollapsibleGroupBox.InitializeComponent | ( |  | ) |
| private

Required method for Designer support - do not modify the contents of this method with the code editor.

Definition at line 85 of file CollapsibleGroupbox.cs.

override void WheelchairControl.CollapsibleGroupBox.OnMouseUp | ( | MouseEventArgs | e | ) |
| protected

OnMouseUp method override.

Parameters

  e | Mouse event arguments.

Definition at line 166 of file CollapsibleGroupbox.cs.

override void WheelchairControl.CollapsibleGroupBox.OnPaint | ( | PaintEventArgs | e | ) |
| protected

OnPaint method override.

Parameters

  e | Paint event arguments.

Definition at line 178 of file CollapsibleGroupbox.cs.

## Property Documentation

int WheelchairControl.CollapsibleGroupBox.CollapsedHeight
| get

Collapsible groupbox collapsed height.

Definition at line 140 of file CollapsibleGroupbox.cs.

int WheelchairControl.CollapsibleGroupBox.FullHeight
| get

Collapsible groupbox full height.

Definition at line 98 of file CollapsibleGroupbox.cs.

bool WheelchairControl.CollapsibleGroupBox.IsCollapsed
| get set

Property to determine whether collapsible groupbox is collapsed.

Definition at line 108 of file CollapsibleGroupbox.cs.

## Event Documentation

CollapseBoxClickedEventHandler WheelchairControl.CollapsibleGroupBox.CollapseBoxClickedEvent

Fired when control is clicked.

Definition at line 48 of file CollapsibleGroupbox.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/CollapsibleGroupbox.cs